Name:           nde-style
Version:        0.0.1
Release:        12%{?dist}
License:        LGPLv2+
Summary:        nde-style theme for Qt-based applications

Source0:        nde-style-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires: nde-lib-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  nde-qtxdg-devel
BuildRequires:  libstatgrab-devel
Requires: nde-qtxdg
Requires: nde-lib


%description
Theme to let Qt applications fit nicely into nde-style desktop

%package -n nde-style-qt4
Summary:        nde-style Qt4 theme

%description -n nde-style-qt4
nde-style theme variant for applications utilizing Qt4

%package -n nde-style-qt5
Summary:        nde-style Qt5 theme

%description -n nde-style-qt5
nde-style theme variant for applications utilizing Qt5


%package -n nde-style-qt-common
Summary:        nde-style Qt common files

%description -n nde-style-qt-common


%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p "%{_target_platform}-qt4"
pushd "%{_target_platform}-qt4"
%{cmake} -DUSE_QT4=true ..
popd

mkdir -p "%{_target_platform}-qt5"
pushd "%{_target_platform}-qt5"
%{cmake} ..
popd

#make %{?_smp_mflags} -C "%{_target_platform}-qt4"
make %{?_smp_mflags} -C "%{_target_platform}-qt5"
#make  -C "%{_target_platform}-qt4"
#make  -C "%{_target_platform}-qt5"
#make %{?_smp_mflags}


%install
#make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt4"
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt5"
mkdir -p %{buildroot}/usr/bin/
cp %{_target_platform}-qt5/demo/showcase %{buildroot}/usr/bin/
   

#%files -n nde-style-qt4
#%doc LICENSE.LGPL2 README.md
#%{_qt4_plugindir}/styles/nde-style.so

%files -n nde-style-qt5
%doc LICENSE.LGPL2 README.md
%{_qt5_plugindir}/styles/ndestyle.so
/usr/bin/showcase

%files -n nde-style-qt-common

%files

%changelog
* Wed Sep 02 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-13
- 修复tabbar获取上一个页面宽度问题

* Wed Aug 26 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-12
- 修改部分效果的大小

* Tue Aug 4 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-10
- 按钮字体选中变白

* Fri Jul 31 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-9
- 修改复选框重影问题

* Mon Jul 6 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-8
- 修改选择框颜色

* Fri Jul 3 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-7
- 修改选中字体框圆角

* Fri Jun 19 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-6
- 修改toolbutton，treeview点击选中背景颜色


* Thu May 28 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-5
- fix crash when clicking button in ssh connection

* Mon May 26 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-4
- 添加qemnu样式，与下拉框相同；修改下拉框失能样式和边框处理

* Thu May 21 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-3
- 修复第一次更换主题时下拉框的样式错误

* Thu May 21 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- 把改动更新进来，修复下拉框Bug和样式

* Sat May 16 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 1.1.0-5
- 修改Qt风格主题名为Light和Dark
